### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# xintc_options.c File Reference

## Detailed Description

Contains option functions for the XIntc driver. These functions allow the user to configure an instance of the XIntc driver. This file requires other files of the component to be linked in also.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------------
     1.00b jhl  02/21/02 First release
     1.00c rpm  10/17/03 New release. Support the relocation of the options flag
                         from the instance structure to the xintc_g.c
                         configuration table.
     1.10c mta  03/21/07 Updated to new coding style

## Functions

int | XIntc_SetOptions (XIntc *InstancePtr, u32 Options)
u32 | XIntc_GetOptions (XIntc *InstancePtr)

## Function Documentation

u32 XIntc_GetOptions | ( | XIntc * | InstancePtr | ) |

Return the currently set options.

Parameters:

  | InstancePtr | is a pointer to the XIntc instance to be worked on.

Returns:
  The currently set options. The options are described in xintc.h.

Note:
  None.

int XIntc_SetOptions | ( | XIntc * | InstancePtr,
|  | u32 | Options
| ) |

Set the options for the interrupt controller driver.

Parameters:

  | InstancePtr | is a pointer to the XIntc instance to be worked on.
  | Options | to be set. The available options are described in xintc.h.

Returns:
  - XST_SUCCESS if the options were set successfully
  - XST_INVALID_PARAM if the specified option was not valid

Note:
  None.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.